# Remove a shared link

`POST /analytics/site/shares/remove` · Rivier · analytics

Remove a shared link.

- Scope: analytics:write
- Graphql: Mutation.analyticsSiteShareRemove
- Sdk: analytics.siteShare.remove
- Cli: analytics site share remove

## Request body

`application/json`

```json
{
  "type": "object",
  "properties": {
    "id": {
      "type": "string",
      "minLength": 4,
      "maxLength": 20
    }
  },
  "required": [
    "id"
  ],
  "additionalProperties": false
}
```

## Responses

- `200`: Success
- `400`: The request was malformed
- `401`: No valid credential
- `403`: The credential lacks the scope, origin or address
- `429`: Over the key's rate limit; see Retry-After

## Example

```sh
curl -X POST 'https://api.rivier.ai/analytics/site/shares/remove' \
  -H 'Authorization: Bearer $KEY' \
  -H 'Content-Type: application/json' \
  -d '{
  "id": "string"
}'
```
